VMTKBRANCHMETRICS(1)

NAME
vmtkbranchmetrics - vmtk script vmtkbranchmetrics

DESCRIPTION
Automatic piping vmtkbranchmetrics Parsing options vmtkbranchmetrics

vmtkbranchmetrics : Takes a centerline and input surface, already

    split into branches (with centerline attributes calculated) and calculates the surface angular and abscissa metric.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-abscissametric ComputeAbscissaMetric (bool,1); default=1

-angularmetric ComputeAngularMetric (bool,1); default=1

-abscissasarray AbscissasArrayName (str,1); default=Abscissas

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-blankingarray BlankingArrayName (str,1); default=Blanking

-angularmetricarray AngularMetricArrayName (str,1);

    default=AngularMetric

-abscissametricarray AbscissaMetricArrayName (str,1);

    default=AbscissaMetric

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-angularmetricarray AngularMetricArrayName (str,1);

    default=AngularMetric

-abscissametricarray AbscissaMetricArrayName (str,1);

    default=AbscissaMetric